--- old/usr/src/tools/smatch/src/check_arm64_tagged.c	Fri Nov 22 13:17:01 2019
+++ new/usr/src/tools/smatch/src/check_arm64_tagged.c	Fri Nov 22 13:17:01 2019
@@ -154,9 +154,14 @@
 
 static bool rl_is_tagged(struct range_list *rl)
 {
-	sval_t invalid = { .type = &ullong_ctype, .value = (1ULL << 56) };
-	sval_t invalid_kernel = { .type = &ullong_ctype, .value = (0xff8ULL << 52) };
+	sval_t invalid;
+	sval_t invalid_kernel;
 
+	invalid.type = &ullong_ctype;
+	invalid.value = 1ULL << 56;
+	invalid_kernel.type = &ullong_ctype;
+	invalid_kernel.value = 0xff8ULL << 52;
+
 	/*
 	 * We only care for tagged addresses, thus ignore anything where the
 	 * ranges of potential values cannot possibly have any of the top byte
